GET/projects/api/v3/workflows.json

Get all workflows.

Query Params

  • Name
    updatedAfter
    Type
    string
    Description

    filter by updated after date

  • Name
    status
    Type
    string
    Description

    filter by workflow status

  • Name
    searchTerm
    Type
    string
    Description

    filter by search term

  • Name
    cursor
    Type
    string
    Description

    cursor used for pagination. When using this pagination mode the page and pageSize will be ignored, using limit to control the number of items. If any other filter is modified during the cursor iteration the response will fallback to the first page.

  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    limit
    Type
    integer
    Description

    number of items to show when providing the cursor.

  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    showDeleted
    Type
    boolean
    Description

    include deleted items

    Default
    false
  • Name
    onlyUtilisedWorkflows
    Type
    boolean
    Description

    include only workflows that are in use

    Default
    false
  • Name
    onlyGlobalWorkflows
    Type
    boolean
    Description

    exclude project specific workflows

    Default
    false
  • Name
    onlyDefaultWorkflow
    Type
    boolean
    Description

    filter by the default workflow

    Default
    false
  • Name
    matchAllStageNames
    Type
    boolean
    Description

    enforce all stage names must be matched

  • Name
    includeTotalCount
    Type
    boolean
    Description

    include installation wide total counts

  • Name
    includeBulkApplyStatus
    Type
    boolean
    Description

    IncludeBulkApplyStatus allows you to check bulk apply global workflow status.

  • Name
    includeArchived
    Type
    boolean
    Description

    include archived workflows

  • Name
    workflowIds
    Type
    array[integer]
    Description

    filter by workflow ids

    Format
    Comma separated values
  • Name
    stageNames
    Type
    array[string]
    Description

    filter workflows by the extact stage names

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • projects
    • stages
    • users
    • teams
    • companies
    • projects.permissions
    • projects.integrations
    • projects.companies
  • Name
    fields[workflows]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • statusId
  • Name
    fields[users]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • firstName
    • lastName
    • title
    • email
    • companyId
    • company
    • isAdmin
    • isClientUser
    • isServiceAccount
    • type
    • deleted
    • avatarUrl
    • lengthOfDay
    • workingHoursId
    • workingHour
    • userRate
    • userCost
    • canAddProjects
  • Name
    fields[teams]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • teamLogo
    • teamLogoIcon
    • teamLogoColor
  • Name
    fields[stages]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • stage
  • Name
    fields[projects]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
  • Name
    fields[projectIntegrations]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • userId
    • projectId
    • canAccessBox
    • canAccessDropbox
    • canAccessGoogleDocs
    • canAccessOneDrive
    • canAccessOneDriveBusiness
    • canAccessSharePoint
  • Name
    fields[companies]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • name
    • logoUploadedToServer
    • logoImage
  • Name
    fields[ProjectPermissions]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • viewMessagesAndFiles
    • viewTasksAndMilestones
    • viewTime
    • viewNotebooks
    • viewRiskRegister
    • viewEstimatedTime
    • viewInvoices
    • addTasks
    • addRisks
    • manageCustomFields
    • addExpenses
    • editAllTasks
    • addMilestones
    • addTaskLists
    • addMessages
    • addFiles
    • addTime
    • addNotebooks
    • viewLinks
    • addLinks
    • canViewForms
    • addForms
    • viewAllTimeLogs
    • setPrivacy
    • projectAdministrator
    • viewProjectUpdate
    • addProjectUpdate
    • canViewProjectMembers
    • canViewProjectBudget
    • canManageProjectBudget
    • canViewRates
    • canManageRates
    • canViewSchedule
    • canManageSchedule
    • receiveEmailNotifications
    • isObserving
    • isArchived
    • active
    • canAccess
    • inOwnerCompany
    • canManagePeople
    • canViewProjectTemplates
    • canManageProjectTemplates
  • Name
    companyIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    WorkflowsResponse contains information about a group of workflows.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

WorkflowsResponse
{  "included": {    "ProjectPermissions": {      "additionalProp": {        "active": true,        "addExpenses": true,        "addFiles": true,        "addForms": true,        "addLinks": true,        "addMessages": true,        "addMilestones": true,        "addNotebooks": true,        "addProjectUpdate": true,        "addRisks": true,        "addTaskLists": true,        "addTasks": true,        "addTime": true,        "canAccess": true,